## ruby-pedump 0.6.5

=== misc/aspack/Makefile ===
all: aspack_unlzx
aspack_unlzx:
	gcc aspack_unlzx.c -o aspack_unlzx

=== debian/changelog ===
ruby-pedump (0.6.5-0kali1) kali-dev; urgency=medium

  * Initial release (see 7651)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 31 Mar 2022 15:36:29 +0200

=== debian/control ===
Source: ruby-pedump
Section: ruby
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               ruby,
               ruby-awesome-print,
               ruby-iostruct (>= 0.0.4),
               ruby-multipart-post (>= 2.0.0),
               ruby-rainbow,
               ruby-zhexdump (>= 0.0.2)
Standards-Version: 4.6.0
Vcs-Git: https://gitlab.com/kalilinux/packages/ruby-pedump.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/ruby-pedump
Homepage: http://github.com/zed-0xff/pedump
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-pedump
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: dump win32 PE executable files with a pure ruby
 This package contains a script to dump headers, sections, extract resources of
 win32 PE exe,dll,etc

=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_install:
	dh_install
	# change name of exec file /usr/bin/pedump already exists in
	# Debian (package mono-utils)
	mv debian/ruby-pedump/usr/bin/pedump debian/ruby-pedump/usr/bin/pedump-ruby

## ruby-pedump 0.6.5+git20220829.1.c087a68

=== debian/changelog ===
ruby-pedump (0.6.5+git20220829.1.c087a68-0kali1~jan+nus2) kali-bleeding-edge; urgency=low

  [ Kali Janitor ]
  * New upstream snapshot.

  [  ]
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Wed, 14 Dec 2022 08:01:18 -0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                ruby-multipart-post (>= 2.0.0),
                ruby-rainbow,
                ruby-zhexdump (>= 0.0.2)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://gitlab.com/kalilinux/packages/ruby-pedump.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/ruby-pedump
-Homepage: http://github.com/zed-0xff/pedump
+Homepage: https://github.com/zed-0xff/pedump
 XS-Ruby-Versions: all
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: pedump-ruby -h
Restrictions: superficial

=== debian/watch ===
version=4
https://gemwatch.debian.net/pedump .*/pedump-(.*).tar.gz

# Use the regex below for github-based sources
# opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
# filenamemangle=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
#   https://github.com/<owner>/<repo>/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@
